org.eclipse.jgit.api

## Class ListTagCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<List<Ref>>
  - - org.eclipse.jgit.api.ListTagCommand

All Implemented Interfaces:
  Callable<List<Ref>>

    public class ListTagCommand
    extends GitCommand<List<Ref>>

Used to obtain a list of tags.

See Also:
  Git documentation about Tag

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
`protected` `ListTagCommand(Repository repo)`

### Method Summary

Methods
`List<Ref>` `call()` Executes the command

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListTagCommand

    protected ListTagCommand(Repository repo)

Parameters:
  `repo` -

### Method Detail

#### call

    public List<Ref> call()
                   throws GitAPIException

Description copied from class: `GitCommand`
Executes the command

Specified by:
  `call` in interface `Callable<List<Ref>>`
Specified by:
  `call` in class `GitCommand<List<Ref>>`
Returns:
  the tags available
Throws:
  `GitAPIException` - or subclass thereof when an error occurs